POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "64a7979a-5e78-482b-b598-afface33e5e0",
"batch_id": "28054ba2-7336-4d02-bdcb-20b10b94dcc9",
"medistream_id": "5282dd9e-1cf8-41e7-b827-299549326aac",
"witness_id": "9dfb1e79-abca-4398-ac7d-f8cdf9f1be84",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-09-25T09:11:05.0518363+00:00",
"stop_time": "2026-09-25T09:11:05.0518363+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>28054ba2-7336-4d02-bdcb-20b10b94dcc9</batch_id> <compartment>1</compartment> <id>64a7979a-5e78-482b-b598-afface33e5e0</id> <medistream_id>5282dd9e-1cf8-41e7-b827-299549326aac</medistream_id> <start_time>2026-09-25T09:11:05.0518363+00:00</start_time> <stop_time>2026-09-25T09:11:05.0518363+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>9dfb1e79-abca-4398-ac7d-f8cdf9f1be84</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"99b6ded1-06e2-4b8f-a4df-8281f6a1f795"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">99b6ded1-06e2-4b8f-a4df-8281f6a1f795</guid>